//= require <dSS/grid/ModulatorPanel>
//= require <dSS/ZonePanel>
Ext.namespace('dSS', 'dSS.system', 'dSS.grid');

dSS.system.dSMOverview = Ext.extend(Ext.Panel, {
    initComponent: function() {

        Ext.apply(this, {
            layout: 'border',
            items: [
            {
                xtype: 'dssmodulatorpanel',
                ref: 'modulatorPanel',
                region: 'north',
                split: true
            },
            {
                xtype: 'dssdevicepanel',
                region: 'center',
                featureConfig: dSS.config.FeatureConfig.CIRCUIT
            }]
        });

        dSS.system.dSMOverview.superclass.initComponent.apply(this, arguments);

        this.on('show', function() {
            this.modulatorPanel.setInitialSelection();
        },
        this);

        this.on('afterrender', function() {
            if (dSS.config.firstLoad === true) {
                dSS.data.Loader.load();
                dSS.config.firstLoad = false;
            }
        },
        this);
    }
});

Ext.reg('dsmoverviewpanel', dSS.system.dSMOverview);

